%define     git          7921019
%define     gitdate      20151019
%define     major        7
%define     libname      %mklibname  yui %{major}-gtk
%define     develname    %mklibname  -d yui-gtk


Name:       libyui-gtk
Version:    2.44.7
Release:    %mkrel 1
Summary:    UI abstraction library - GTK plugin
License:    LGPLv2+
Group:      System/Libraries
URL:        https://github.com/libyui/libyui-gtk
Source0:    %{name}-%{version}.tar.bz2

BuildRequires:    png-devel
BuildRequires:    yui-devel >= 3.0.4
BuildRequires:    libgtk+3.0-devel
BuildRequires:    libgdk_pixbuf2.0-devel
BuildRequires:    boost-devel
BuildRequires:    sane-devel
BuildRequires:    cmake
BuildRequires:    doxygen
BuildRequires:    ghostscript
BuildRequires:    graphviz

Requires:         libyui
Requires:         gtk+3.0
Requires:         gdk_pixbuf2.0
Requires:         pygtk2.0

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.*

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-ncurses development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-gtk.pc
%{_libdir}/cmake/libyui-gtk
%doc %{_docdir}/libyui-gtk%{major}

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
mkdir build
cd build
cmake \
    -DYPREFIX=%{_prefix}  \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_WERROR=0 \
    -DENABLE_DEBUG=1 \
    -DINSTALL_DOCS=yes \
    -DCMAKE_BUILD_TYPE=RELWITHDEBINFO ..

make docs

%install
%makeinstall_std -C build
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sun Oct 09 2016 anaselli <anaselli> 2.44.7-1.mga6
+ Revision: 1059760
- new 2.44.7 version

* Mon Jan 04 2016 anaselli <anaselli> 2.44.6-3.mga6
+ Revision: 919389
- rebuilt

* Sun Jan 03 2016 anaselli <anaselli> 2.44.6-2.mga6
+ Revision: 919203
- Fixed big icon into buttons

* Mon Oct 19 2015 anaselli <anaselli> 2.44.6-1.mga6
+ Revision: 892800
- new version 2.44.6

* Wed Oct 15 2014 umeabot <umeabot> 2.44.5-3.mga5
+ Revision: 740999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.44.5-2.mga5
+ Revision: 681912
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 anaselli <anaselli> 2.44.5-1.mga5
+ Revision: 653320
- Final 2.44.5 version

* Sun May 18 2014 anaselli <anaselli> 2.44.5-0.git20140506.1.mga5
+ Revision: 623600
- New version 2.44.5

* Fri Apr 25 2014 anaselli <anaselli> 2.44.4-0.git20140425.1.mga5
+ Revision: 617934
- Aligned to anaselli branch (check on Date and Time input values)

* Fri Apr 18 2014 anaselli <anaselli> 2.44.4-0.git20140418.1.mga5
+ Revision: 616884
- New version 2.44.4 from anaselli branch

* Sun Mar 30 2014 anaselli <anaselli> 2.44.3-0.git20140325.2.mga5
+ Revision: 610478
- Added debug symbols

* Sun Mar 30 2014 anaselli <anaselli> 2.44.3-0.git20140325.1.mga5
+ Revision: 610349
- Removed latex for docs at the moment, need a better upstream investigation
- Avoid parallel building for docs
- Added dot2tex dependency
- new version 2.44.3

* Sun Dec 01 2013 matteo <matteo> 2.43.7-0.git20131116.4.mga4
+ Revision: 554477
- add missing br (texlive-dist)
- fix build issue (latex error: xtab.sty not found)

  + anaselli <anaselli>
    - updated to upstream/master

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + fwang <fwang>
    - boost is not required

* Wed Jul 10 2013 fwang <fwang> 2.43.4-0.git20130630.2.mga4
+ Revision: 452367
- rebuild for new boost

* Mon Jul 01 2013 anaselli <anaselli> 2.43.4-0.git20130630.1.mga4
+ Revision: 448663
- trying to avoid the problem of deprecation, need a fix for upstream
- new 2.43.4
- changed package name to libyuiX-gtk

* Fri Jan 18 2013 anaselli <anaselli> 2.42.1-0.git20121227.5.mga3
+ Revision: 389486
- Updated to master

* Sat Jan 12 2013 umeabot <umeabot> 2.42.1-0.git20121227.4.mga3
+ Revision: 358734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 2.42.1-0.git20121227.3.mga3
+ Revision: 341391
- Rebuilt for new libyui

* Thu Dec 27 2012 anaselli <anaselli> 2.42.1-0.git20121227.2.mga3
+ Revision: 335745
- Fixed progress bar percentage

* Thu Dec 27 2012 anaselli <anaselli> 2.42.1-0.git20121227.1.mga3
+ Revision: 335712
- Updated to git master (fixed progressbar in gtk implementation)

* Sat Nov 10 2012 anaselli <anaselli> 2.42.1-0.git20121109.1.mga3
+ Revision: 316868
- Updated to yui master

* Sat Nov 03 2012 anaselli <anaselli> 2.42.1-0.git20121102.1.mga3
+ Revision: 313424
- Updated to https://github.com/anaselli/libyui-gtk to add missed functions

* Mon Oct 29 2012 anaselli <anaselli> 2.42.1-0.git20121029.1.mga3
+ Revision: 311533
- updated to git 20121029, to fix a crash

* Sun Sep 16 2012 anaselli <anaselli> 2.42.1-0.git20120908.1.mga3
+ Revision: 294609
- updated to 2.42.1-d79c65e
  added documentation
  used git date instead of hash to give package upgradability

* Sun Jul 22 2012 anaselli <anaselli> 2.42.1-0.git.e2f70c4.2.mga3
+ Revision: 273630
- Wrong yui dependency for devel package

* Sun Jul 22 2012 anaselli <anaselli> 2.42.1-0.git.e2f70c4.1.mga3
+ Revision: 273603
- added patch to fix deprecated gdk_window_set_background
- new 2.42.1 from github

* Sun Jun 17 2012 matteo <matteo> 2.21.96-1.mga3
+ Revision: 261267
- removed not necessary requirements
- imported package libyui-gtk

